diff --git a/nptl/Makefile b/nptl/Makefile
index 0eb9cda2e4..1964935fa0 100644
--- a/nptl/Makefile
+++ b/nptl/Makefile
@@ -46,6 +46,7 @@ routines = \
   pthread_attr_setdetachstate \
   pthread_attr_setinheritsched \
   pthread_attr_setschedparam \
+  pthread_attr_setschedpolicy \
   pthread_equal \
   pthread_self \
   register-atfork \
@@ -73,7 +74,6 @@ libpthread-routines = nptl-init nptlfreeres vars events version pt-interp \
 		      pthread_getschedparam pthread_setschedparam \
 		      pthread_setschedprio \
 		      pthread_attr_getguardsize pthread_attr_setguardsize \
-		      pthread_attr_setschedpolicy \
 		      pthread_attr_getscope pthread_attr_setscope \
 		      pthread_attr_getstackaddr pthread_attr_setstackaddr \
 		      pthread_attr_getstacksize pthread_attr_setstacksize \
diff --git a/nptl/Versions b/nptl/Versions
index d8312e70cc..ca0a7e62a8 100644
--- a/nptl/Versions
+++ b/nptl/Versions
@@ -49,7 +49,6 @@ libpthread {
 
     pthread_getschedparam; pthread_setschedparam;
 
-    pthread_attr_setschedpolicy;
     pthread_attr_getscope; pthread_attr_setscope;
 
     pthread_mutex_init; pthread_mutex_destroy;
diff --git a/nptl/forward.c b/nptl/forward.c
index ed5b6c9bb4..7e7fcf2c59 100644
--- a/nptl/forward.c
+++ b/nptl/forward.c
@@ -56,9 +56,6 @@ name decl								      \
   FORWARD2 (name, int, decl, params, return defretval)
 
 
-FORWARD (pthread_attr_setschedpolicy, (pthread_attr_t *attr, int policy),
-	 (attr, policy), 0)
-
 FORWARD (pthread_attr_getscope,
 	 (const pthread_attr_t *attr, int *scope), (attr, scope), 0)
 FORWARD (pthread_attr_setscope, (pthread_attr_t *attr, int scope),
diff --git a/nptl/nptl-init.c b/nptl/nptl-init.c
index 8d45952f8e..9741969c4c 100644
--- a/nptl/nptl-init.c
+++ b/nptl/nptl-init.c
@@ -72,7 +72,6 @@ void __nptl_set_robust (struct pthread *);
 #ifdef SHARED
 static const struct pthread_functions pthread_functions =
   {
-    .ptr_pthread_attr_setschedpolicy = __pthread_attr_setschedpolicy,
     .ptr_pthread_attr_getscope = __pthread_attr_getscope,
     .ptr_pthread_attr_setscope = __pthread_attr_setscope,
     .ptr_pthread_condattr_destroy = __pthread_condattr_destroy,
diff --git a/sysdeps/nptl/pthread-functions.h b/sysdeps/nptl/pthread-functions.h
index 84aed530e3..927ac5a706 100644
--- a/sysdeps/nptl/pthread-functions.h
+++ b/sysdeps/nptl/pthread-functions.h
@@ -30,7 +30,6 @@ struct xid_command;
    the thread functions.  */
 struct pthread_functions
 {
-  int (*ptr_pthread_attr_setschedpolicy) (pthread_attr_t *, int);
   int (*ptr_pthread_attr_getscope) (const pthread_attr_t *, int *);
   int (*ptr_pthread_attr_setscope) (pthread_attr_t *, int);
   int (*ptr_pthread_condattr_destroy) (pthread_condattr_t *);
diff --git a/sysdeps/unix/sysv/linux/aarch64/libpthread.abilist b/sysdeps/unix/sysv/linux/aarch64/libpthread.abilist
index d1d7754821..2f3fd8b2a9 100644
--- a/sysdeps/unix/sysv/linux/aarch64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/aarch64/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.17 pthread_attr_getstackaddr F
 GLIBC_2.17 pthread_attr_getstacksize F
 GLIBC_2.17 pthread_attr_setaffinity_np F
 GLIBC_2.17 pthread_attr_setguardsize F
-GLIBC_2.17 pthread_attr_setschedpolicy F
 GLIBC_2.17 pthread_attr_setscope F
 GLIBC_2.17 pthread_attr_setstack F
 GLIBC_2.17 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/alpha/libpthread.abilist b/sysdeps/unix/sysv/linux/alpha/libpthread.abilist
index 5642844e3b..782582e22f 100644
--- a/sysdeps/unix/sysv/linux/alpha/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/alpha/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/arm/be/libpthread.abilist b/sysdeps/unix/sysv/linux/arm/be/libpthread.abilist
index ecacce2795..3802f5d147 100644
--- a/sysdeps/unix/sysv/linux/arm/be/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/arm/be/libpthread.abilist
@@ -110,7 +110,6 @@ GLIBC_2.4 pthread_attr_getstackaddr F
 GLIBC_2.4 pthread_attr_getstacksize F
 GLIBC_2.4 pthread_attr_setaffinity_np F
 GLIBC_2.4 pthread_attr_setguardsize F
-GLIBC_2.4 pthread_attr_setschedpolicy F
 GLIBC_2.4 pthread_attr_setscope F
 GLIBC_2.4 pthread_attr_setstack F
 GLIBC_2.4 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/arm/le/libpthread.abilist b/sysdeps/unix/sysv/linux/arm/le/libpthread.abilist
index ecacce2795..3802f5d147 100644
--- a/sysdeps/unix/sysv/linux/arm/le/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/arm/le/libpthread.abilist
@@ -110,7 +110,6 @@ GLIBC_2.4 pthread_attr_getstackaddr F
 GLIBC_2.4 pthread_attr_getstacksize F
 GLIBC_2.4 pthread_attr_setaffinity_np F
 GLIBC_2.4 pthread_attr_setguardsize F
-GLIBC_2.4 pthread_attr_setschedpolicy F
 GLIBC_2.4 pthread_attr_setscope F
 GLIBC_2.4 pthread_attr_setstack F
 GLIBC_2.4 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/csky/libpthread.abilist b/sysdeps/unix/sysv/linux/csky/libpthread.abilist
index 0f16a6377b..5a787cd973 100644
--- a/sysdeps/unix/sysv/linux/csky/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/csky/libpthread.abilist
@@ -83,7 +83,6 @@ GLIBC_2.29 pthread_attr_getstackaddr F
 GLIBC_2.29 pthread_attr_getstacksize F
 GLIBC_2.29 pthread_attr_setaffinity_np F
 GLIBC_2.29 pthread_attr_setguardsize F
-GLIBC_2.29 pthread_attr_setschedpolicy F
 GLIBC_2.29 pthread_attr_setscope F
 GLIBC_2.29 pthread_attr_setstack F
 GLIBC_2.29 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/hppa/libpthread.abilist b/sysdeps/unix/sysv/linux/hppa/libpthread.abilist
index 87201aece7..a3ce51c38d 100644
--- a/sysdeps/unix/sysv/linux/hppa/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/hppa/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/i386/libpthread.abilist b/sysdeps/unix/sysv/linux/i386/libpthread.abilist
index 8bc06163fb..db97003d8b 100644
--- a/sysdeps/unix/sysv/linux/i386/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/i386/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/ia64/libpthread.abilist b/sysdeps/unix/sysv/linux/ia64/libpthread.abilist
index 3e1a27c136..fce31e5cf6 100644
--- a/sysdeps/unix/sysv/linux/ia64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/ia64/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist b/sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist
index ecacce2795..3802f5d147 100644
--- a/sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist
@@ -110,7 +110,6 @@ GLIBC_2.4 pthread_attr_getstackaddr F
 GLIBC_2.4 pthread_attr_getstacksize F
 GLIBC_2.4 pthread_attr_setaffinity_np F
 GLIBC_2.4 pthread_attr_setguardsize F
-GLIBC_2.4 pthread_attr_setschedpolicy F
 GLIBC_2.4 pthread_attr_setscope F
 GLIBC_2.4 pthread_attr_setstack F
 GLIBC_2.4 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist b/sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist
index 8bc06163fb..db97003d8b 100644
--- a/sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist b/sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist
index fa983ba8e4..9bcadbe98b 100644
--- a/sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.18 pthread_attr_getstackaddr F
 GLIBC_2.18 pthread_attr_getstacksize F
 GLIBC_2.18 pthread_attr_setaffinity_np F
 GLIBC_2.18 pthread_attr_setguardsize F
-GLIBC_2.18 pthread_attr_setschedpolicy F
 GLIBC_2.18 pthread_attr_setscope F
 GLIBC_2.18 pthread_attr_setstack F
 GLIBC_2.18 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist b/sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist
index fa983ba8e4..9bcadbe98b 100644
--- a/sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.18 pthread_attr_getstackaddr F
 GLIBC_2.18 pthread_attr_getstacksize F
 GLIBC_2.18 pthread_attr_setaffinity_np F
 GLIBC_2.18 pthread_attr_setguardsize F
-GLIBC_2.18 pthread_attr_setschedpolicy F
 GLIBC_2.18 pthread_attr_setscope F
 GLIBC_2.18 pthread_attr_setstack F
 GLIBC_2.18 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist b/sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist
index 75cfef4e76..0f9ed9ce97 100644
--- a/sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist b/sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist
index 75cfef4e76..0f9ed9ce97 100644
--- a/sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/nios2/libpthread.abilist b/sysdeps/unix/sysv/linux/nios2/libpthread.abilist
index 4f2274f567..9427133d75 100644
--- a/sysdeps/unix/sysv/linux/nios2/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/nios2/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.21 pthread_attr_getstackaddr F
 GLIBC_2.21 pthread_attr_getstacksize F
 GLIBC_2.21 pthread_attr_setaffinity_np F
 GLIBC_2.21 pthread_attr_setguardsize F
-GLIBC_2.21 pthread_attr_setschedpolicy F
 GLIBC_2.21 pthread_attr_setscope F
 GLIBC_2.21 pthread_attr_setstack F
 GLIBC_2.21 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist b/sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist
index e26440b447..8ef7663e56 100644
--- a/sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist b/sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist
index a2d98b1cc4..c8374e3ef5 100644
--- a/sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist
@@ -96,7 +96,6 @@ GLIBC_2.3 pthread_attr_getstack F
 GLIBC_2.3 pthread_attr_getstackaddr F
 GLIBC_2.3 pthread_attr_getstacksize F
 GLIBC_2.3 pthread_attr_setguardsize F
-GLIBC_2.3 pthread_attr_setschedpolicy F
 GLIBC_2.3 pthread_attr_setscope F
 GLIBC_2.3 pthread_attr_setstack F
 GLIBC_2.3 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist b/sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist
index d1d7754821..2f3fd8b2a9 100644
--- a/sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.17 pthread_attr_getstackaddr F
 GLIBC_2.17 pthread_attr_getstacksize F
 GLIBC_2.17 pthread_attr_setaffinity_np F
 GLIBC_2.17 pthread_attr_setguardsize F
-GLIBC_2.17 pthread_attr_setschedpolicy F
 GLIBC_2.17 pthread_attr_setscope F
 GLIBC_2.17 pthread_attr_setstack F
 GLIBC_2.17 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist b/sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist
index 58e845dc0f..21ad813060 100644
--- a/sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist
@@ -72,7 +72,6 @@ GLIBC_2.27 pthread_attr_getstackaddr F
 GLIBC_2.27 pthread_attr_getstacksize F
 GLIBC_2.27 pthread_attr_setaffinity_np F
 GLIBC_2.27 pthread_attr_setguardsize F
-GLIBC_2.27 pthread_attr_setschedpolicy F
 GLIBC_2.27 pthread_attr_setscope F
 GLIBC_2.27 pthread_attr_setstack F
 GLIBC_2.27 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist b/sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist
index defd68fee7..2535211071 100644
--- a/sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist b/sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist
index 214241aefd..820b340f5e 100644
--- a/sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist
@@ -78,7 +78,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/sh/be/libpthread.abilist b/sysdeps/unix/sysv/linux/sh/be/libpthread.abilist
index 87201aece7..a3ce51c38d 100644
--- a/sysdeps/unix/sysv/linux/sh/be/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/sh/be/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/sh/le/libpthread.abilist b/sysdeps/unix/sysv/linux/sh/le/libpthread.abilist
index 87201aece7..a3ce51c38d 100644
--- a/sysdeps/unix/sysv/linux/sh/le/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/sh/le/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist b/sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist
index 5642844e3b..782582e22f 100644
--- a/sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist
@@ -45,7 +45,6 @@ GLIBC_2.0 open F
 GLIBC_2.0 pause F
 GLIBC_2.0 pthread_atfork F
 GLIBC_2.0 pthread_attr_getscope F
-GLIBC_2.0 pthread_attr_setschedpolicy F
 GLIBC_2.0 pthread_attr_setscope F
 GLIBC_2.0 pthread_cancel F
 GLIBC_2.0 pthread_cond_broadcast F
diff --git a/sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist b/sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist
index 3e1a27c136..fce31e5cf6 100644
--- a/sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2 pthread_attr_getstack F
 GLIBC_2.2 pthread_attr_getstackaddr F
 GLIBC_2.2 pthread_attr_getstacksize F
 GLIBC_2.2 pthread_attr_setguardsize F
-GLIBC_2.2 pthread_attr_setschedpolicy F
 GLIBC_2.2 pthread_attr_setscope F
 GLIBC_2.2 pthread_attr_setstack F
 GLIBC_2.2 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist b/sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist
index 214eaaa15a..a5ad630f1e 100644
--- a/sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist
@@ -76,7 +76,6 @@ GLIBC_2.2.5 pthread_attr_getstack F
 GLIBC_2.2.5 pthread_attr_getstackaddr F
 GLIBC_2.2.5 pthread_attr_getstacksize F
 GLIBC_2.2.5 pthread_attr_setguardsize F
-GLIBC_2.2.5 pthread_attr_setschedpolicy F
 GLIBC_2.2.5 pthread_attr_setscope F
 GLIBC_2.2.5 pthread_attr_setstack F
 GLIBC_2.2.5 pthread_attr_setstackaddr F
diff --git a/sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist b/sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist
index 733a412700..595ca1a710 100644
--- a/sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist
+++ b/sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist
@@ -75,7 +75,6 @@ GLIBC_2.16 pthread_attr_getstackaddr F
 GLIBC_2.16 pthread_attr_getstacksize F
 GLIBC_2.16 pthread_attr_setaffinity_np F
 GLIBC_2.16 pthread_attr_setguardsize F
-GLIBC_2.16 pthread_attr_setschedpolicy F
 GLIBC_2.16 pthread_attr_setscope F
 GLIBC_2.16 pthread_attr_setstack F
 GLIBC_2.16 pthread_attr_setstackaddr F